
set echo on
set serveroutput on

DECLARE

   TYPE varchar2_array IS TABLE OF VARCHAR2(30)
      INDEX BY BINARY_INTEGER;

   TYPE varchar2_multi IS TABLE OF varchar2_array
      INDEX BY BINARY_INTEGER;

   v_multi varchar2_multi;

BEGIN

   v_multi (1) (1) := 'one and one';
   v_multi (1) (2) := 'one and two';
   v_multi (1) (3) := 'one and three';

   DBMS_OUTPUT.PUT_LINE(
      'Multilevel array v_multi has [' || v_multi.COUNT || '] elements.'
      );

   DBMS_OUTPUT.PUT_LINE(
      'The first element in v_multi has [' || v_multi(1).COUNT || '] elements.'
      );

   DBMS_OUTPUT.PUT_LINE(
      'The last element in v_multi is [' || v_multi(1)(3) || '].'
      );

END;
/

